#include "Cliche.h"

using namespace std;

/**
* Constructeur d'un objet Cliche
*/

Cliche::Cliche() :
	Image()
{
}

/**
* Constructeur d'un objet Cliche
* @param tailleX_i : taille horizontale du clich en nombre de pixels
* @param tailleY_i : taille verticale du clich en nombre de pixels
*/

Cliche::Cliche(const int tailleX_i, const int tailleY_i) :
	Image(tailleX_i, tailleY_i, 1)
{
}

/**
* Destructeur d'un objet Cliche
*/

Cliche::~Cliche()
{
}

/**
* Gnration de l'image  partir des coordonnes d'un ensemble de noeuds
* @param noeudTab : ensemble de noeuds
* @return bool : succs
*/

bool Cliche::generer(vector<Noeud>& noeudTab)
{
	unsigned int i;
	unsigned int x, y;
	
	/* Remplit l'image avec des pixels noirs */

	remplir(255);

	/* Affiche n points blancs sur l'image */

	for(i=0; i<noeudTab.size(); i++)
	{
		x = noeudTab[i].getX();
		y = noeudTab[i].getY();
		
		pixelAllumer(x, y);
		pixelAllumer(x+1, y);
		pixelAllumer(x, y+1);
		pixelAllumer(x+1, y+1);
	}

	return true;
}

/**
* Sauvegarde d'un clich
* @param fichierNom : nom de fichier
* @return bool : succs
*/

bool Cliche::sauvegarder(const string& fichierNom)
{
	return sauvegarderPPM(fichierNom);
}

/**
* Charger d'un clich
* @param fichierNom : nom de fichier
* @return bool : succs
*/

bool Cliche::charger(const string& fichierNom)
{
	return chargerPPM(fichierNom);
}
