#ifndef IMAGE_H
#define IMAGE_H

#include <stdio.h>

#include <sstream>
#include <string>
#include <iostream>

/**
 *  Classe Image
 */

class Image
{
private:	
        FILE *fichier;
        char *fichierTmp;
        unsigned int fichierTmpTailleMax;

	void bufferLit();

protected:
	unsigned int tailleX;				//!< Taille horizontale de l'image
	unsigned int tailleY;				//!< Taille verticale de l'image
	unsigned int BPP;				//!< Nombre de bits par pixel
	
	unsigned char *bitmap;				//!< Donnes de l'image
	unsigned int bitmapTaille;			//!< Taille des donnes en octets

public:
	Image();
	Image(const unsigned int tailleX_i, const unsigned int tailleY_i, const unsigned int BPP_i);
	~Image();
	
	bool remplir(unsigned char couleur);
	
/*	bool chargerPGM(const string& fichierNom);
	bool sauvegarderPGM(const string& fichierNom);*/
	bool sauvegarderRAW(const std::string& fichierNom);
	bool chargerPPM(const std::string& fichierNom);
	bool sauvegarderPPM(const std::string& fichierNom);
	
	void pixelAllumer(const unsigned int x, const unsigned int y);
	void pixelEteindre(const unsigned int x, const unsigned int y);
	bool getPixel(const unsigned int x, const unsigned int y) const;
	
	unsigned int getTailleX() const;
	unsigned int getTailleY() const;
	unsigned char *getBitmap();
	unsigned int getBitmapTaille() const;
	
	Image *partie(const unsigned int ax, const unsigned int ay, const unsigned int bx, const unsigned int by);
};

#endif
