#include "Noeud.h"

/**
* Constructeur d'un objet Noeud
* @param x_i : abscisse du noeud
* @param y_i : ordonne du noeud
*/

Noeud::Noeud(const unsigned int x_i, const unsigned int y_i) :
		Point(x_i, y_i)
{
}

/**
* Constructeur d'un objet Noeud
* @param a_i : amplitude selon x
* @param b_i : amplitude selon y
* @param w1_i : periode selon x
* @param w2_i : periode selon y
* @param x0_i : centre de l'ellipse selon x
* @param y0_i : centre de l'ellipse selon y
*/

Noeud::Noeud(const double a_i, const double b_i, const double w1_i, const double w2_i,
		const unsigned int x0_i, const unsigned int y0_i) :
		a(a_i), b(b_i), w1(w1_i), w2(w2_i), x0(x0_i), y0(y0_i)
{
}

/**
* Destructeur d'un objet Noeud
*/

Noeud::~Noeud()
{
}

/**
* Gnration des coordonnes d'un noeud  partir de ses paramtres
* @param t : date de gnration
*/

void Noeud::generer(const int t)
{
	x = (int)(a * cos(w1 * (double) t / 3.0f) + (double)x0);
	y = (int)(b * cos(w2 * (double) t / 3.0f) + (double)y0);
}

/**
* Sauvegarde les coordonnes du noeud
*/

void Noeud::nouvellePosition()
{
	xPrec = x;
	yPrec = y;
}
