#include "Point.h"

using namespace std;

/**
* Constructeur d'un objet Point, coordones initialises par dfaut  (0,0)
*/

Point::Point()
{
	x = 0;
	y = 0;
}

/**
* Constructeur d'un objet Point
* @param x_i : abscisse du point
* @param y_i : ordonne du point
*/

Point::Point(const unsigned int x_i, const unsigned int y_i)
{
	x = x_i;
	y = y_i;
}

/**
* Destructeur d'un objet Point
*/

Point::~Point()
{
}

/**
* Accs  l'abscisse du point
* @return int : abscisse du point
*/

unsigned int Point::getX() const
{
	return x;
}

/**
* Initialisation de l'abscisse du point
* @param x_i : abscisse du point
*/

void Point::setX(const unsigned int x_i)
{
	x = x_i;
}

/**
* Accs  l'ordonne du point
* @return int : ordonne du point
*/

unsigned int Point::getY() const
{
	return y;
}

/**
* Initialisation de l'ordonne du point
* @param y_i : ordonne du point
*/

void Point::setY(const unsigned int y_i)
{
	y = y_i;
}

/**
* Affichage des coordonnes du point
* @param os : flux de sortie
*/

ostream& operator <<(ostream& os, const Point &p)
{
        os << "(" << p.x << "," << p.y << ")";

        return os;
}
