#ifndef SUIVI_H
#define SUIVI_H

#include <string>
#include <iostream>
#include <iomanip>
#include <vector>
#include <fstream>

#include "Cliche.h"
#include "Image.h"
#include "Point.h"
#include "Region.h"
#include "Noeud.h"

/**
 *  Classe Suivi
 */
 
class Suivi
{
private:
	
protected:	
	std::string prefixe;					//!< Emplacement du fichier
	std::ofstream fichierSuivi;				//!< Fichier de suivi
	
	unsigned int nbCliche;					//!< Nombre de clichs
	unsigned int nbNoeudX;					//!< Taille horizontale de la grille
	unsigned int nbNoeudY;					//!< Taille verticale de la grille
	
	Cliche *cliche;						//!< Clich
	std::vector<Noeud> noeudTab;				//!< Ensemble de noeuds
	
	static int fenetreTailleMax;				//!< Taille maximale de la fentre de recherche
	
	bool chargerPos(const std::string& fichierNom);
	bool suivreNoeud(Noeud& noeud);
	
	bool fichierSuiviCreer(const std::string& fichierNom);
	bool fichierSuiviEnregistrer();
	bool fichierSuiviFermer();
	    
public:
	Suivi(const std::string prefixe_i, const unsigned int nbCliche_i);
	~Suivi();
	
	bool suivre();
};

#endif
