#ifndef SUIVIP1FILS_H
#define SUIVIP1FILS_H

#include <string>
#include <iostream>
#include <iomanip>
#include <vector>
#include <fstream>
#include <mpi.h>

#include "SuiviP1.h"

/**
 *  Classe SuiviP1Fils
 */
 
class SuiviP1Fils : public SuiviP1
{
private:
	int noeudNum;					//< Nombre de noeuds  suivre dans ce processus

	std::vector<Cliche *> clicheTab;		//< Ensemble de clichs traits par ce processus
	std::vector<Point> aTab;			//< Coordonnes des fentres de travail (suprieure gauche)
	std::vector<Point> bTab;			//< Coordonnes des fentres de travail (infrieure droite)

	bool receptionner();
	bool calculer();
	bool envoyer();

public:
	SuiviP1Fils(const std::string prefixe_i, const unsigned int nbCliche_i, int processusRang_i, int processusNb_i);
	~SuiviP1Fils();
	
	bool suivre();
};

#endif
