#include <unistd.h>

#include "Suivi.h"

using namespace std;

extern char *optarg;

void message_erreur(char **argv)
{
	cerr << "usage: " << argv[0] << " -p <prefixe> -n <nb_images>" << endl;

	exit(EXIT_FAILURE);
}

int main(int argc, char **argv)
{
	unsigned int nb_image;
	string prefixe;
	int c;
	Suivi *suivi = NULL;

	if(argc != 5)
		message_erreur(argv);

	while((c = getopt(argc, argv, "p:n:l:h:m:")) != EOF)
		switch (c)
	  	{  
			case 'p':
				prefixe = string(optarg);
				break;
				
			case 'n':
				nb_image = atoi(optarg); 
				break;
			
			case '?':
				message_erreur(argv);
				break;
	  	}

	suivi = new Suivi(prefixe, nb_image);
	
	if(!suivi->suivre())
	{
		delete suivi;
		
		return EXIT_FAILURE;
	}
	
	delete suivi;
	
	return EXIT_SUCCESS;
}
