#include <unistd.h>
#include <mpi.h>

#include "SuiviP1Pere.h"
#include "SuiviP1Fils.h"

using namespace std;

extern char *optarg;

void message_erreur(char **argv)
{
	cerr << "usage: " << argv[0] << " -p <prefixe> -n <nb_images>" << endl;

	exit(EXIT_FAILURE);
}

int main(int argc, char **argv)
{
	unsigned int nb_image;
	string prefixe;
	int c;
	SuiviP1 *suivi = NULL;
	int processusRang, processusNb;

	MPI_Init(&argc, &argv); 
	
	MPI_Comm_rank(MPI_COMM_WORLD, &processusRang);
	MPI_Comm_size(MPI_COMM_WORLD, &processusNb);
	
	//if(argc != 5)
	//	message_erreur(argv);

	while((c = getopt(argc, argv, "p:n:l:h:m:")) != EOF)
		switch (c)
	  	{  
			case 'p':
				prefixe = string(optarg);
				break;
				
			case 'n':
				nb_image = atoi(optarg); 
				break;
			
			case '?':
				message_erreur(argv);
				break;
	  	}

	if(processusRang == 0)
		suivi = new SuiviP1Pere(prefixe, nb_image, processusRang, processusNb);
	else
		suivi = new SuiviP1Fils(prefixe, nb_image, processusRang, processusNb);
	
	if(!suivi->suivre())
	{
		delete suivi;
		
		return EXIT_FAILURE;
	}
	
	delete suivi;
	
	//cout << "PROC="<<processusRang<<" avant fin" << endl;
	
	MPI_Finalize(); 
	
	//cout << "PROC="<<processusRang<<" aprs fin" << endl;
	
	return EXIT_SUCCESS;
}
