#include <unistd.h>
#include "Generateur.h"

using namespace std;

extern char *optarg;

void message_erreur(char **argv)
{
	cerr << "usage: " << argv[0] << " -p <prefixe> -n <nb_images> -l <largeur_image> -h <hauteur_image> -m <nb_points>" << endl;

	exit(EXIT_FAILURE);
}

int main(int argc, char **argv)
{
	unsigned int nb_image;
	unsigned int nb_point;
	unsigned int largeur_image,hauteur_image;
	int c;
	string prefixe;
	Generateur *generateur = NULL;

	if(argc != 11)
		message_erreur(argv);

	while((c = getopt(argc, argv, "p:n:l:h:m:")) != EOF)
		switch (c)
	  	{  
			case 'p':
				prefixe = string(optarg);
				break;
				
			case 'n':
				nb_image = atoi(optarg); 
				break;
				
			case 'l':
				largeur_image = atoi(optarg);
				break;
				
			case 'h':
				hauteur_image = atoi(optarg);
				break;
				
			case 'm':
				nb_point = atoi(optarg);
				break;
			
			case '?':
				message_erreur(argv);
				break;
	  	}

	generateur = new Generateur(prefixe, nb_image, largeur_image, hauteur_image, nb_point);
	generateur->generer();
	
	delete generateur;
	
	return EXIT_SUCCESS;
}
